#### 7.10.4.4 lpNcgenCount

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  lpNcgenCount(R); R a letterplace ring

Return:
  int

Purpose:
  returns the number of ncgen variables in the letterplace ring.

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),dp;
    ring R = freeAlgebra(r, 7, 3);
    lpNcgenCount(R); // should be 3
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.